iban = input("Inserisci un iban valido: ")

iban_ruotato = iban[4:]+iban[:4]

iban_numerico = ""
for c in iban_ruotato:
    if c.isalpha():
        iban_numerico += str(ord(c)-ord("A") + 10)
    else:
        iban_numerico += c

if int(iban_numerico) % 97 == 1:
    print("Iban valido")
else:
    print("Iban non valido")